Skip to main content
GET
/
threads
/
{thread_id}
/
history
Get Thread History Get
curl --request GET \
  --url https://api.example.com/threads/{thread_id}/history
import requests

url = "https://api.example.com/threads/{thread_id}/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/threads/{thread_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "values": {},
    "checkpoint": {
      "checkpoint_id": "<string>",
      "thread_id": "<string>",
      "checkpoint_ns": ""
    },
    "next": [
      "<string>"
    ],
    "tasks": [
      {}
    ],
    "interrupts": [
      {}
    ],
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "parent_checkpoint": {
      "checkpoint_id": "<string>",
      "thread_id": "<string>",
      "checkpoint_ns": ""
    },
    "checkpoint_id": "<string>",
    "parent_checkpoint_id": "<string>"
  }
]
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

thread_id
string
required

Query Parameters

limit
integer
default:10

Number of states to return

Required range: 1 <= x <= 1000
before
string | null

Return states before this checkpoint ID

subgraphs
boolean | null
default:false

Include states from subgraphs

checkpoint_ns
string | null

Checkpoint namespace

metadata
string | null

JSON-encoded metadata filter

Response

Successful Response

values
Values · object
required

Channel values (messages, etc.)

checkpoint
ThreadCheckpoint · object
required

Current checkpoint

next
string[]

Next nodes to execute

tasks
Tasks · object[]

Tasks to execute

interrupts
Interrupts · object[]

Interrupt data

metadata
Metadata · object

Checkpoint metadata

created_at
string<date-time> | null

Timestamp of state creation

parent_checkpoint
ThreadCheckpoint · object | null

Parent checkpoint

checkpoint_id
string | null

Checkpoint ID (for backward compatibility)

parent_checkpoint_id
string | null

Parent checkpoint ID (for backward compatibility)